Subject: bug#27918: 25.2.50; Emacs slow opening files via sshfs

From: Frank Winklmeier <[email-masked]>
Date: Mon, 30 Nov 2020 12:13:33 +0100

On 30/11/2020 12:01, Lars Ingebrigtsen wrote:
> Frank Winklmeier <[email-masked]> writes:
> 
>> Switching from
>>
>> GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
>>   of 2016-04-17 on lgw01-04, modified by Debian
>>
>> to
>>
>> In GNU Emacs 25.2.50.2 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
>>   of 2017-07-03 built on lcy01-14
>>
>> I noticed that opening files via an sshfs mounted remote has gotten
>> extremely slow (about 10 seconds vs 2 seconds for opening the same
>> file).
> 
> (This bug report unfortunately got no response at the time.)
> 
> I tried reading a large .flac file with "cat" on the terminal and with
> Emacs over sshfs, and there didn't seem to be any large difference in
> time for me (on Debian/bullseye with Emacs 28).
> 
> Are you still seeing this issue with more recent versions of Emacs?

I had forgotten myself about that bug report. No, I don't see this 
problem anymore (currently using GNU Emacs 26.3).

-Frank